diff resources/entrypoint.sh @ 0:15c9fbefeaf1 draft

" master branch Updating"
author lain
date Tue, 01 Feb 2022 14:19:30 +0000
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/resources/entrypoint.sh	Tue Feb 01 14:19:30 2022 +0000
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+apt-get install iproute2 original-awk iputils-ping -y
+
+HOST_DOMAIN="host.docker.internal"
+ping -q -c1 $HOST_DOMAIN > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+  HOST_IP=$(ip route | awk 'NR==1 {print $3}')
+  echo -e "$HOST_IP\t$HOST_DOMAIN" >> /etc/hosts
+fi
+
+
+cd /XSeeker
+stdbuf -i0 -o0 -e0 ./run.sh 2>&1 > /var/log/xseeker.log
\ No newline at end of file